Results 1 to 9 of 9

Thread: tcl/tk support on trusty

  1. #1
    Join Date
    Aug 2012
    Beans
    209

    tcl/tk support on trusty

    Hello everyone,

    I am attempting to install an IDE (R Commander) for R, the statistical package. When I attempt to do the installation R reports that my system does not support TCLTK. I had thought that TCLTK was supported, but went ahead and installed TCL8.5 anyway. Still no luck. I've checked the tree and it appears to be located in /usr/lib. Any suggestions?

    Thanks,
    Mark Allyn

  2. #2
    Join Date
    Feb 2007
    Location
    West Hills CA
    Beans
    10,046
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: tcl/tk support on trusty

    What version of Ubuntu? In 14.04, r-base requires r-core which requires tcl8.5 and tk8.5

    Code:
    apt-cache policy tcl8.5 tk8.5
    -------------------------------------
    Oooh Shiny: PopularPages

    Unumquodque potest reparantur. Patientia sit virtus.

  3. #3
    Join Date
    Aug 2012
    Beans
    209

    Re: tcl/tk support on trusty

    Hello Tgalati4:

    Thanks for responding. Using your command, here's what comes back on the shell:
    Code:
    tcl8.5:
      Installed: 8.5.15-2ubuntu1
      Candidate: 8.5.15-2ubuntu1
      Version table:
     *** 8.5.15-2ubuntu1 0
            500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
            100 /var/lib/dpkg/status
    tk8.5:
      Installed: 8.5.15-2ubuntu3
      Candidate: 8.5.15-2ubuntu3
      Version table:
     *** 8.5.15-2ubuntu3 0
            500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
            100 /var/lib/dpkg/status
    I'm not entirely sure what this is telling me in all details, but it appears that TCL and TK are both installed. Any further suggestions?

    Regards,
    Mark

  4. #4
    Join Date
    Feb 2007
    Location
    West Hills CA
    Beans
    10,046
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: tcl/tk support on trusty

    Code:
    sudo apt-get install -f
    -------------------------------------
    Oooh Shiny: PopularPages

    Unumquodque potest reparantur. Patientia sit virtus.

  5. #5
    Join Date
    Apr 2012
    Beans
    7,256

    Re: tcl/tk support on trusty

    How are you attempting to install R Commander (as a pre-built binary package from the repo? using install.packages() from inside R, ...)? What is the actual error message?

  6. #6
    Join Date
    Aug 2012
    Beans
    209

    Re: tcl/tk support on trusty

    Hello tgalati and steeldriver,

    Sorry I was unable to respond timely to your suggestions--had shoulder surgery that rendered me one-handed.

    Anyway, libtcl8.6.so and libtcl8.5.so (and similarly, libtk.so) along with the 8.5 versions are installed in /usr/lib/i386-linux-gnn/. I will report back shortly on the precise error message from R as Steeldriver suggests.

    Of course, it is possible that R's library search path is set to find them.., I suppose.

    Cheers,
    Mark

  7. #7
    Join Date
    Aug 2012
    Beans
    209

    Re: tcl/tk support on trusty

    tgalati and steeldrivers:

    The precise message from R is:


    error: Tcl/Tk support is not available on this system

    Not very helpful, is it. BTW, using an R command I set the library search path to TCL/TK so's.

    Mark

  8. #8
    Join Date
    Feb 2007
    Location
    West Hills CA
    Beans
    10,046
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: tcl/tk support on trusty

    I don't have R installed on this laptop, so I can't test it. But, let's go back to basics. It appears that you are running 64-bit packages (amd64). But you also have 32-bit packages installed (anything in i386). So perhaps you have a multiple-architecture system with both 64-bit and 32-bit packages. There are some steps to perform to get this to work: https://cran.r-project.org/doc/manua....html#Multilib

    Do you have the recommended packages installed?

    Code:
    apt-cache policy r-recommended
    It is a metapackage that includes the following:

    tgalati4@Mint17 ~ $ apt-cache depends r-recommended
    r-recommended
    Depends: r-base-core
    Depends: r-cran-boot
    Depends: r-cran-cluster
    Depends: r-cran-foreign
    Depends: r-cran-kernsmooth
    Depends: r-cran-lattice
    Depends: r-cran-mgcv
    Depends: r-cran-nlme
    Depends: r-cran-rpart
    Depends: r-cran-survival
    Depends: r-cran-mass
    Depends: r-cran-class
    Depends: r-cran-nnet
    Depends: r-cran-spatial
    Depends: r-cran-codetools
    Depends: r-cran-matrix
    Last edited by tgalati4; December 8th, 2015 at 11:17 PM.
    -------------------------------------
    Oooh Shiny: PopularPages

    Unumquodque potest reparantur. Patientia sit virtus.

  9. #9
    Join Date
    Apr 2012
    Beans
    7,256

    Re: tcl/tk support on trusty

    Thanks for updating with the error message - for completeness, can you post the actual command(s) you are using for the install?

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •